<div id="container_tasklist" class="row">
    <div class="col-lg-12 ">
        <div class="card">
            {% if not data.data or data.data.entry_id == "new"  %}
            <div class="card-body" id="default-view">
                <div class="tab-content border-0 tab-content-basic">
                    <section class="py-5 pl-5">
                        <div class="container">
                            <div class="row align-items-center">
                                <div class="col-md-6">
                                    <img src="/style-global/img/illustrations/to_do_list.png" alt="taskmanager" class="img-fluid" width="535px">
                                </div>
                                <div class="col-md-6">
                                    <h6 class="font-weight-bold tx-indigo mb-20px mt-3">Verwalten Sie Ihre Aufgabenliste
                                        online</h6>
                                    <h2 class="font-weight-bold mb-20px">Legen Sie los!
                                        <br>
                                        Richten Sie eine Liste in Ihrem Taskmanager ein.
                                    </h2>
                                    <p class="text-muted mb-20px">Erstellen Sie jederzeit neue Listen oder aktualisieren
                                        Sie Ihre
                                        vorhandenen Listeneinstellungen, indem Sie Klicken Sie in der Navigationsleiste
                                        auf das
                                        Symbol Einstellungen.</p>
                                    <ul class="list-ckeck-soft mb-30px">
                                        <li>Durchsuchen Sie Taske nach bestimmten Kriterien.</li>
                                        <li>Zuweisen von Aufgaben nach Gruppe oder Person.</li>
                                    </ul>
                                    <a href="list-settings.html" class="btn btn-indigo rounded">Liste Erstellen</a>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
            {% else %}
            <div class="card-body" id="task-detail-view">
                <div class="pb-4 mb-4 border-bottom row">
                    <div class="col-sm-3 col-12 align-items-center d-flex">
                        <h5 class="page-title mb-n2 pd-r-10 text-muted">{{ data.data.entry_data.title }}</h5>
                    </div>

                    <!-- BUTTONS -->
                    <div class="col-sm-9 col-12 pt-2 pt-md-0 text-right">
                        <button class="btn btn-indigo no-wrap ml-2 mb-2 mb-sm-0 rounded" id="button-edit-task">
                            <i class="typcn typcn-edit tx-16"></i>
                            <span data-i18n="Edit">Edit</span>
                        </button>
                    </div>
                </div>
                <div class="tab-content border-0 tab-content-basic">
                    <div class="tab-pane fade show active" role="tabpanel">
                        <div class="row row-sm align-items-start">

                            <!-- LIST ENTRY -->
                            <div class="col-xl-7 col-lg-7 col-md-6 d-flex align-items-center">
                                <span class="d-inline-block px-2">
                                    <div class="az-avatar-no-status avatar-sm bg-primary" data-toggle="tooltip" title="List" data-original-title="Choosen List">
                                        <i class="fa fa-bars fa-1x"></i>
                                    </div>
                                </span>
                                {% for key, value in data.data.queue_lists %}
                                    {% if key == data.data.entry_data.queue_id %}
                                        <span class="text-muted">  {{ value.queue_data.queue_name }} </span>
                                    {% endif %}
                                {% endfor %}
                            </div>

                            <!-- RESOURCE ENTRY -->
                            <div class="col-xl-5 col-lg-5 col-md-6 pt-2 pt-md-0" id="resource_item">
                                <div class="d-flex align-items-center mg-b-10">
                                    <span class="d-none d-md-inline-block px-2">
                                        <div class="az-avatar-no-status avatar-sm bg-primary"
                                             data-toggle="tooltip" title=""
                                             data-original-title="Ressource">
                                            <i class="fas fa-link fa-1x"></i>
                                        </div>
                                    </span>
                                    {% for resource in data.data.resources %}
                                        {% if resource.resource_id == data.data.entry_data.resource %}
                                            <span class="p-2 text-muted">  {{ resource.data.name }} </span>
                                        {% endif %}
                                    {% endfor %}
                                </div>
                            </div>

                            <div class="col-lg-12 mg-t-30 ">
                                <div class="row row-sm align-items-start">
                                    <div class="col-xl-7 col-lg-7 col-md-6 p-2 bt_1_grey" id="generalSettings">

                                        <!-- TITLE AND DESC -->
                                        <div class="mg-t-10 mg-b-10">
                                            <div class="p-2">
                                                <h5 class="text-muted">
                                                    {{ data.data.entry_data.title }}
                                                </h5>
                                            </div>
                                            <div id="task_description" class="ql-container ql-bubble ql-disabled p-2 text-muted">
                                                <div class="" data-gramm="false" contenteditable="false">
                                                    {{ data.data.entry_data.description | safe }}
                                                </div>
                                            </div>
                                        </div>

                                        <!-- CHECKLIST -->
                                        <div class="ml-2 bt_1_grey pt-2" id="checklist_container">
                                            <div class="d-flex align-items-center pd-b-5 custom-align text-muted">
                                                <h6 class="page-title pd-r-10 text-muted" data-i18n="Checkliste">Checkliste: </h6>
                                            </div>
                                            <div class="ml-2 mr-3 mb-5 mb-md-2" id="checklist_entries_container">
                                                <span id="" class="tx-medium d-flex align-items-center w-100">
                                                    <ul class="p-0">
                                                    {% for todo in data.data.entry_data.todos %}
                                                        <li style="list-style-type: none;" class="mb-0">
                                                            <input data-selector="" data-todoid="" id="" type="checkbox" class="list-item-checkbox" disabled {{ "checked" if todo.done }}>
                                                            <span class="ml-2 tx-dark list-item-text text-muted" data-selector="" id="">{{ todo.desc }}</span>
                                                        </li>
                                                    {% endfor %}
                                                    </ul>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-5 col-lg-5 col-md-6" id="specificSettings">
                                        <div class="d-flex align-items-center mg-b-10 ">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title="Status"
                                                     data-original-title="Status">
                                                    <i class="fas fa-check-square fa-1x"></i></div>
                                            </span>
                                            <span id="task-status" name="task-status" data-group="info"
                                                  class="p-2 text-muted"
                                                  data-i18n="{{ data.data.entry_data.status | safe }}"
                                                  disabled="">{{ data.data.entry_data.status | safe }}
                                           </span>
                                        </div>
                                        <div class="d-flex align-items-center mg-b-10">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title="Task"
                                                     data-original-title="Task">
                                                    <i class="fas fa-user fa-1x"></i></div>
                                            </span>

                                            <span id="task-responsible" name="task-responsible" data-group="info" class="p-2 text-muted" disabled="">
                                                {% if data.data.entry_data.assigned_to %}
                                                    {{ data.data.entry_data.assigned_to | safe }}
                                                {% else %}
                                                    <span data-i18n="Not assigned">Not assigned</span>
                                                {% endif %}
                                            </span>

                                        </div>

                                        <!-- CONTACTS -->
                                        <div class="d-flex align-items-center mg-b-10" data-permission="frontend.contactmanager" id="contact_item">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary" data-toggle="tooltip" title="" data-original-title="Kontakt verknüpfen">
                                                    <i class="fas fa-address-book tx-16"></i>
                                                </div>
                                            </span>
                                            <span id="contact_entries">
                                            {% for contact in data.data.contacts %}
                                                {% for link in data.data.links %}
                                                    {% if contact.id == link.id %}
                                                        <span class="p-2 text-muted"> {{ contact.name }} </span>
                                                    {% endif %}
                                                {% endfor %}
                                            {% endfor %}
                                            </span>
                                        </div>

                                        <!-- TAGS -->
                                        <div class="d-flex align-items-center mg-b-10 w-100" data-permission="beta_access" id="event_tags">
                                            <span class="d-inline-block px-2">
                                                <div class="az-avatar-no-status avatar-sm bg-primary"
                                                     data-toggle="tooltip" title="Tags"
                                                     data-original-title="Tags"><i
                                                        class="fas fa-tag tx-16"></i>
                                                </div>
                                            </span>
                                            <span id="tag_container" class="tx-medium d-flex flex-wrap">
                                                {% for tag in data.data.entry_data.tags %}
                                                    <span class="p-2 badges-disabled"> {{ tag }} </span>
                                                {% endfor %}
                                            </span>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <!-- activity nav start
        <div id="activity-nav" style="">
            <nav class="d-flex align-items-center px-20 pd-t-10 pd-b-10">
                <h6 class="mg-t-7 ml-3">Aktivität:</h6>
                <div id="button-task-comment-wrapper" style="">
                    <button class="ml-2 btn-primary-pill" id="button-task-comment" data-selector="off"
                            data-i18n="comment button">Kommentare
                    </button>
                </div>
                <div id="button-task-history-wrapper" data-permission="frontend.taskmanager.views.history" style="">
                    <button class="btn-light-pill ml-2" id="button-task-history" data-selector="off"
                            data-i18n="history button">Revisionsverlauf
                    </button>
                </div>
                <div id="button-task-documentation-wrapper" data-permission="frontend.documentation" style="">
                    <a target="_blank"
                       href="http://localhost:7070/documentation/index.html?sid=task-manager|task|9df781c9-d019-4253-9e69-2730b7a6e5aa"
                       class="btn-light-pill ml-2" id="button-task-documentation" data-i18n="documentation button">Dokumentation</a>
                </div>
            </nav>
        </div>
        <!-- history start
        <div id="history" class="container pl-3 pr-3 pt-0" style="display:none;">
            <div class="w-100 pr-3">
                <ul class="timeline" id="history-list-container"></ul>
            </div>
        </div>
        <!-- comment start
        <div id="comment" class="container pl-3 pr-3 pt-3" style="">
            <div class="row w-100">
                <div class="col-lg-8 col-sm-12 d-flex">
                    <input id="comment-input" name="comment-input" type="text" class="form-control" required=""
                           placeholder="Type your message here..." value="">
                    <button class="btn az-msg-send" id="comment-send-button"><i class="far fa-paper-plane tx-20"></i>
                    </button>
                </div>
                <div class="col-12 mt-4">
                    <div id="comment-list-container"></div>
                </div>
            </div>
        </div>-->
        {% endif %}
    </div>
</div>

